Subject: Re: How to move users from SEU (AS400) to Git?

From: Heiko Voigt <[email-masked]>
Date: Tue, 12 May 2009 18:14:56 +0200

On Tue, May 12, 2009 at 10:42:32AM -0500, Jon Brisbin wrote:
> I'm just wondering what the Git experts would say to someone wanting to 
> transition from say, Visual SourceSafe, and expecting the predictability 
> of having source files "locked out" while a developer is making changes 
> to them?

How about this:

With Git you effectively get a *local lock* on *all files*. These locks
are just called branches. Thus you do not have to worry about anything
getting lost (like it could happen with the svn/cvs update command).

To unlock you merge. If you merge two branches and something (although
unlikely) goes wrong you can always return to the "different locked
states" and investigate.

Seen this way git is the best from both worlds (lock/merge).

cheers Heiko